nxt.shuffling

## Class ShufflingCreationAttachment

- java.lang.Object
- - nxt.blockchain.Appendix.AbstractAppendix
  - - nxt.blockchain.Attachment.AbstractAttachment
    - - nxt.shuffling.ShufflingCreationAttachment

- All Implemented Interfaces:
    Appendix, Attachment

      public final class ShufflingCreationAttachment
      extends Attachment.AbstractAttachment

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Attachment

      `Attachment.AbstractAttachment, Attachment.EmptyAttachment, Attachment.PropertyDeleteAttachment`

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Appendix

      `Appendix.AbstractAppendix, Appendix.Encryptable, Appendix.Parser, Appendix.Prunable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShufflingCreationAttachment(long holdingId, HoldingType holdingType, long amount, byte participantCount, short registrationPeriod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAmount()`
    `long` | `getHoldingId()`
    `HoldingType` | `getHoldingType()`
    `protected int` | `getMySize()`
    `byte` | `getParticipantCount()`
    `short` | `getRegistrationPeriod()`
    `TransactionType` | `getTransactionType()`
    `protected void` | `putMyBytes(java.nio.ByteBuffer buffer)`
    `protected void` | `putMyJSON(org.json.simple.JSONObject attachment)`

    - ### Methods inherited from class nxt.blockchain.Attachment.AbstractAttachment

      `apply, getAppendixName, getAppendixType, getBaselineFee, getBaselineFeeHeight, getFinishValidationHeight, getNextFee, getNextFeeHeight, isAllowed, isPhasable, validate, validateId`

    - ### Methods inherited from class nxt.blockchain.Appendix.AbstractAppendix

      `getFee, getFullSize, getJSONObject, getSize, getVersion, isPhased, loadPrunable, loadPrunable, putBytes, validateAtFinish, verifyVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.blockchain.Appendix

      `getFee, getFullSize, getJSONObject, getSize, getVersion, hasAppendix, isPhased, putBytes`

- - ### Constructor Detail

    - #### ShufflingCreationAttachment

          public ShufflingCreationAttachment(long holdingId,
                                             HoldingType holdingType,
                                             long amount,
                                             byte participantCount,
                                             short registrationPeriod)

  - ### Method Detail

    - #### getMySize

          protected int getMySize()

      Specified by:
        `getMySize` in class `Appendix.AbstractAppendix`

    - #### putMyBytes

          protected void putMyBytes(java.nio.ByteBuffer buffer)

      Specified by:
        `putMyBytes` in class `Appendix.AbstractAppendix`

    - #### putMyJSON

          protected void putMyJSON(org.json.simple.JSONObject attachment)

      Specified by:
        `putMyJSON` in class `Appendix.AbstractAppendix`

    - #### getTransactionType

          public TransactionType getTransactionType()

    - #### getHoldingId

          public long getHoldingId()

    - #### getHoldingType

          public HoldingType getHoldingType()

    - #### getAmount

          public long getAmount()

    - #### getParticipantCount

          public byte getParticipantCount()

    - #### getRegistrationPeriod

          public short getRegistrationPeriod()